/**********************************************************************
 ** global.h
 **********************************************************************/


#if !defined(GLOBAL_H)
#define GLOBAL_H 1

#include <vector>
#include <queue>
#include <string>
#include <cstring>

namespace stdi {
  
  typedef  std::vector<bool> BoolArray;
  typedef  std::vector<short> ShortArray;
  typedef  std::vector<int> IntArray;
  typedef  std::queue<int> IntQueue;
  typedef  std::vector<float> FloatArray;
  typedef  std::vector<double> DoubleArray;
  
  std::string toString(const char *v);
  std::string toString(const std::string &v);
  std::string toString(int v);
  std::string toString(float v);
  std::string toString(double v);

  int toInt(std::string &);
  float toFloat(std::string &);

  /** System calls */
  int execSysCmd(const std::string &s);
  std::string getEnv(const std::string &name);

  /** Got bugs? */
  void reportBugInfo(const std::string &fun_name);



} // End of namespace stdi


#endif // GLOBAL_H
